Subject: bug#42621: 26.3; Scheme mode: Wrong indentation (no indentation) when pressing tab

From: Kjetil Matheussen <[email-masked]>
Date: Wed, 5 Aug 2020 20:33:54 +0200

On Wed, Aug 5, 2020 at 8:30 PM Kjetil Matheussen
<[email-masked]> wrote:
>
> On Wed, Aug 5, 2020 at 8:06 PM Simen Heggestøyl <[email-masked]> wrote:
> >
> > I can't reproduce the bug in Emacs 26.3 (nor in the Emacs 27.1 RC) by
> > following the recipe from 'emacs -Q'.
> >
> > Kjetil Matheussen <[email-masked]> writes:
> >
> > > 8. The line is wrongly indented (no indentation).
> >
> > Assuming you mean you expect it to keep its indentation at column 2, but
> > instead see it deindented to column 0 (which is wrong)?
> >
>
> Yes, it's deindented to column 0.
>
> I couldn't reproduce it with "emacs -Q" either, but I minimized my
> .emacs file down to the lines below to reproduce it. Can you reproduce
> it now?
>

Actually, it's enough just to maximize the window:

1. emacs -Q
2. maximize emacs window
3.(same procedure)